summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJinhyung Jo <jinhyung.jo@samsung.com>2017-11-21 17:04:16 +0900
committerJinhyung Jo <jinhyung.jo@samsung.com>2017-11-21 17:04:20 +0900
commit4f73e9e0c8987132e0bf4d7a33925c86132812d4 (patch)
tree3ba0e5b0caef9fc4d4b15c8915a64f6bdb65e5b9
parent99c3966492536f437cb6a3fbf6b1e07e16b0b20e (diff)
parent78ebe6ab1c44cde27d781ffae345131f54967532 (diff)
downloademulator-lib-tizen_studio_p2.4.tar.gz
emulator-lib-tizen_studio_p2.4.tar.bz2
emulator-lib-tizen_studio_p2.4.zip
Merge remote-tracking branch 'upstream/opensrc_p2.4' into tizen_studio_p2.4tizen_studio_p2.4
Change-Id: I66f4b4a7af21bb71e40537a2434f3cc4c4ed3007 Signed-off-by: Jinhyung Jo <jinhyung.jo@samsung.com>
-rwxr-xr-xcorrect_pc_prefix.sh21
-rw-r--r--package/build.common195
-rw-r--r--package/build.linux140
-rw-r--r--package/build.macos148
-rw-r--r--package/changelog83
-rwxr-xr-xpackage/emulator-lib-dev.install.linux19
-rwxr-xr-xpackage/emulator-lib-dev.install.macos21
-rw-r--r--package/pkginfo.manifest66
8 files changed, 693 insertions, 0 deletions
diff --git a/correct_pc_prefix.sh b/correct_pc_prefix.sh
new file mode 100755
index 0000000..225dc01
--- /dev/null
+++ b/correct_pc_prefix.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+uname=$(uname)
+
+PCs=$(find . -name '*.pc')
+for pc in ${PCs}; do
+ echo "${pc}"
+
+ case "$uname" in
+ Darwin*)
+ LIBDIR=$(cd $(dirname "${pc}")/../..; pwd -P)
+ sed -i "" '/^prefix=/c\
+prefix='"${LIBDIR}"'
+' ${pc}
+ ;;
+ *)
+ LIBDIR=$(readlink -f $(dirname "${pc}")/../..)
+ sed -i "/^prefix=/!b;c\prefix=${LIBDIR}" ${pc}
+ ;;
+ esac
+done
diff --git a/package/build.common b/package/build.common
new file mode 100644
index 0000000..e9d477e
--- /dev/null
+++ b/package/build.common
@@ -0,0 +1,195 @@
+#!/bin/sh
+OS_COMMON_DIR="$ROOTDIR/os-common"
+LIB_PACKAGE_DIR_TEMP="$SRCDIR/lib-package-temp"
+DEV_PACKAGE_DIR_TEMP="$SRCDIR/dev-package-temp"
+SWT_FILE="swt-4.5.jar"
+
+RESULT_CONTAINS=contains
+RESULT_NOT_CONTAINS=not_contains
+
+# $1: source strings (e.g. "emulator-lib, emulator-lib-dev, emulator-common-lib-dev")
+trim_string()
+{
+ trimmed=$1
+ trimmed=${trimmed%% }
+ trimmed=${trimmed## }
+
+ echo "$trimmed"
+}
+
+# $1: source string
+# $2: string to search for
+contains_string()
+{
+ string="$1"
+ substring="$2"
+ if test "${string#*$substring}" != "$string"
+ then
+ echo "$RESULT_CONTAINS"
+ else
+ echo "$RESULT_NOT_CONTAINS"
+ fi
+}
+
+# $1: file to set permission
+set_file_permission()
+{
+ string="$(/usr/bin/file "$1")"
+ substring="executable"
+
+ # if file type has excutable, set 755 permission.
+ # if not, set 644 permission
+ if test "${string#*$substring}" != "$string"
+ then
+ chmod 755 "$1"
+ else
+ chmod 644 "$1"
+ fi
+}
+
+# $1: directory including files to set permission
+find_file_to_set_permission()
+{
+ for file in $(find "$1" -type f)
+ do
+ set_file_permission "$file"
+ echo "change the pemission of $file"
+ done
+}
+
+test_symlink()
+{
+ if [ ! -h "$ROOTDIR/tests/testsymlink" ]
+ then
+ echo "'emulator-library-pool' should be zipped with storing symbolic links"
+ exit 1
+ fi
+}
+
+verify_swt()
+{
+ TMP_SWT_DIR="$SRCDIR/swt"
+
+ if [ -d "$TMP_SWT_DIR" ] ; then
+ rm -rf "$TMP_SWT_DIR"
+ fi
+ mkdir -p "$TMP_SWT_DIR"
+
+ # especially check for swt.jar
+ unzip -jo "$1" META-INF/MANIFEST.MF -d "$TMP_SWT_DIR"
+ TEMP_SWT_WS=$(cat "$TMP_SWT_DIR/MANIFEST.MF" | grep "SWT-WS:" | cut -d ':' -f2)
+ SWT_WS=$(trim_string "$TEMP_SWT_WS")
+ if [ "$(contains_string "$SWT_WS" $BUILD_WS)" = "$RESULT_NOT_CONTAINS" ];then
+ echo "$SWT_SW not supported"
+ exit 1
+ fi
+
+ TEMP_SWT_ARCH="$(cat "$TMP_SWT_DIR/MANIFEST.MF" | grep "SWT-Arch:" | cut -d ':' -f2)"
+ SWT_ARCH=$(trim_string "$TEMP_SWT_ARCH")
+ if [ "$(contains_string "$SWT_ARCH" $BUILD_ARCH)" = "$RESULT_NOT_CONTAINS" ];then
+ echo "$SWT_ARCH not supported"
+ exit 1
+ fi
+
+ # if file type has excutable, set 755 permission. if not, set 644 permission
+ set_file_permission "$1"
+}
+
+# $1: DIRECTORY_PATH (optional)
+traverse_directory()
+{
+ if [ "$1" = "$OS_COMMON_DIR" ];then
+ TRAVERSE_DIRECTORY_PATH="$1"
+ else
+ TRAVERSE_DIRECTORY_PATH="$ROOTDIR/$TARGET_OS/*/"
+ fi
+
+ for dirname in $(ls -d $TRAVERSE_DIRECTORY_PATH)
+ do
+ case $(basename "$dirname") in
+ ___*)
+ echo "skip this directory"
+ # skip this directory, do nothing.
+ ;;
+ *)
+ echo "include this directory"
+ cd $dirname
+ if [ -f "$dirname/dev.install" ];then
+ . dev.install
+ dev_install "$DEV_PACKAGE_DIR_TEMP"
+ fi
+
+ if [ -f "$dirname/lib.install" ];then
+ . lib.install
+ lib_install "$LIB_PACKAGE_DIR_TEMP"
+ fi
+ ;;
+ esac
+ done
+
+ cp "$SRCDIR"/correct_pc_prefix.sh "$DEV_PACKAGE_DIR_TEMP"
+}
+
+clean_common()
+{
+ rm -rf "$SRCDIR"/*.zip
+ rm -rf "$LIB_PACKAGE_DIR_TEMP"
+ rm -rf "$DEV_PACKAGE_DIR_TEMP"
+}
+
+prepare_common()
+{
+ mkdir -p "$LIB_PACKAGE_DIR_TEMP"
+ mkdir -p "$DEV_PACKAGE_DIR_TEMP"
+ mkdir -p "$DEV_PACKAGE_DIR_TEMP/lib"
+ mkdir -p "$DEV_PACKAGE_DIR_TEMP/include"
+ mkdir -p "$DEV_PACKAGE_DIR_TEMP/bin"
+
+ if [ "${TARGET_OS}" = "windows-32" ];then
+ BUILD_ARCH=x86
+ BUILD_WS=win32
+ elif [ "${TARGET_OS}" = "windows-64" ];then
+ BUILD_ARCH=x86_64
+ BUILD_WS=win32
+ elif [ "${TARGET_OS}" = "ubuntu-32" ];then
+ BUILD_ARCH=x86
+ BUILD_WS=gtk
+ elif [ "${TARGET_OS}" = "ubuntu-64" ];then
+ BUILD_ARCH=x86_64
+ BUILD_WS=gtk
+ elif [ "${TARGET_OS}" = "macos-64" ];then
+ BUILD_ARCH=x86_64
+ BUILD_WS=cocoa
+ fi
+}
+
+verify_common()
+{
+ test_symlink
+ verify_swt "$LIB_PACKAGE_DIR_TEMP/$SWT_FILE"
+ verify_swt "$DEV_PACKAGE_DIR_TEMP/$SWT_FILE"
+}
+
+install_common()
+{
+ TIZEN_SUPPORTED_VERSIONS="2.4"
+ for TIZEN_VER in ${TIZEN_SUPPORTED_VERSIONS}; do
+ PKG_DIR="$SRCDIR/package"
+ BUILD_LIB_PACKAGE=${TIZEN_VER}-emulator-lib
+ BUILD_DEV_PACKAGE=${TIZEN_VER}-emulator-lib-dev
+ LIB_PACKAGE_DIR="$PKG_DIR/${BUILD_LIB_PACKAGE}.package.${TARGET_OS}/data/platforms/tizen-${TIZEN_VER}/common/emulator/bin"
+ DEV_PACKAGE_DIR="$PKG_DIR/${BUILD_DEV_PACKAGE}.package.${TARGET_OS}/data"
+ mkdir -p "$LIB_PACKAGE_DIR"
+ mkdir -p "$DEV_PACKAGE_DIR"
+
+ cp -npPR "$LIB_PACKAGE_DIR_TEMP"/* "$LIB_PACKAGE_DIR"
+ cp -npPR "$DEV_PACKAGE_DIR_TEMP"/* "$DEV_PACKAGE_DIR"
+
+ # copy install script
+ if [ "${TARGET_OS}" = "ubuntu-32" ] || [ "${TARGET_OS}" = "ubuntu-64" ];then
+ cp $PKG_DIR/emulator-lib-dev.install.linux $PKG_DIR/${TIZEN_VER}-emulator-lib-dev.install.linux
+ elif [ "${TARGET_OS}" = "macos-64" ];then
+ cp $PKG_DIR/emulator-lib-dev.install.macos $PKG_DIR/${TIZEN_VER}-emulator-lib-dev.install.macos
+ fi
+ done
+}
diff --git a/package/build.linux b/package/build.linux
new file mode 100644
index 0000000..f275a37
--- /dev/null
+++ b/package/build.linux
@@ -0,0 +1,140 @@
+#!/bin/sh
+
+BUILD_ARCH=
+BUILD_WS=
+
+# check if the architecture supports the file
+# $1: file name
+check_archi_windows_32()
+{
+ . $SRCDIR/package/build.common
+ if [ "$(contains_string "$1" ".dll")" = "$RESULT_CONTAINS" ];then
+ FILE_RESULT="$(/usr/bin/file $(readlink -f "$1"))"
+ ARCH_OK=0
+ if [ "$(contains_string "$FILE_RESULT" "32-bit")" = "$RESULT_CONTAINS" ];then
+ echo "$1 has the supported architecture"
+ ARCH_OK=1
+ elif [ "$(contains_string "$FILE_RESULT" "PE32")" = "$RESULT_CONTAINS" ];then
+ echo "$1 has the supported architecture"
+ ARCH_OK=1
+ fi
+ fi
+ if [ $ARCH_OK -eq 0 ];then
+ echo "$1 has not the supported architecture"
+ exit 1
+ fi
+}
+
+check_archi_windows_64()
+{
+ . $SRCDIR/package/build.common
+ if [ "$(contains_string "$1" ".dll")" = "$RESULT_CONTAINS" ];then
+ FILE_RESULT="$(/usr/bin/file $(readlink -f "$1"))"
+ ARCH_OK=0
+ if [ "$(contains_string "$FILE_RESULT" "32-bit")" = "$RESULT_CONTAINS" ];then
+ echo "$1 has the supported architecture"
+ ARCH_OK=1
+ elif [ "$(contains_string "$FILE_RESULT" "64-bit")" = "$RESULT_CONTAINS" ];then
+ echo "$1 has the supported architecture"
+ ARCH_OK=1
+ elif [ "$(contains_string "$FILE_RESULT" "PE32")" = "$RESULT_CONTAINS" ];then
+ echo "$1 has the supported architecture"
+ ARCH_OK=1
+ fi
+ fi
+ if [ $ARCH_OK -eq 0 ];then
+ echo "$1 has not the supported architecture"
+ exit 1
+ fi
+}
+
+check_archi_ubuntu_32()
+{
+ . $SRCDIR/package/build.common
+ if [ "$(contains_string "$1" ".so")" = "$RESULT_CONTAINS" ];then
+ FILE_RESULT="$(/usr/bin/file $(readlink -f "$1"))"
+ if [ "$(contains_string "$FILE_RESULT" "32-bit")" = "$RESULT_NOT_CONTAINS" ];then
+ echo "$1 has not the supported architecture"
+ exit 1
+ fi
+ echo "$1 has the supported architecture"
+ fi
+}
+
+check_archi_ubuntu_64()
+{
+ . $SRCDIR/package/build.common
+ if [ "$(contains_string "$1" ".so")" = "$RESULT_CONTAINS" ];then
+ FILE_RESULT="$(/usr/bin/file $(readlink -f "$1"))"
+ if [ "$(contains_string "$FILE_RESULT" "64-bit")" = "$RESULT_NOT_CONTAINS" ];then
+ echo "$1 has not the supported architecture"
+ exit 1
+ fi
+ echo "$1 has the supported architecture"
+ fi
+}
+
+# $1: directory path that library files are in
+verify_library()
+{
+ if [ "${TARGET_OS}" = "windows-32" ] || [ "${TARGET_OS}" = "windows-64" ];then
+ LIBRARY_EXTENSION=dll
+ elif [ "${TARGET_OS}" = "ubuntu-32" ] || [ "${TARGET_OS}" = "ubuntu-64" ];then
+ LIBRARY_EXTENSION=so
+ fi
+
+ for file in $(find "$1" -iname '*.'$LIBRARY_EXTENSION)
+ do
+ echo "$file"
+ if [ "${TARGET_OS}" = "windows-32" ];then
+ check_archi_windows_32 "$file"
+ elif [ "${TARGET_OS}" = "windows-64" ];then
+ check_archi_windows_64 "$file"
+ elif [ "${TARGET_OS}" = "ubuntu-32" ];then
+ check_archi_ubuntu_32 "$file"
+ elif [ "${TARGET_OS}" = "ubuntu-64" ];then
+ check_archi_ubuntu_64 "$file"
+ fi
+ done
+}
+
+verify()
+{
+ . $SRCDIR/package/build.common
+ verify_library "$LIB_PACKAGE_DIR_TEMP"
+ verify_library "$DEV_PACKAGE_DIR_TEMP"
+ find_file_to_set_permission "$LIB_PACKAGE_DIR_TEMP"
+ find_file_to_set_permission "$DEV_PACKAGE_DIR_TEMP"
+}
+
+clean()
+{
+ . $SRCDIR/package/build.common
+ clean_common
+}
+
+prepare()
+{
+ clean
+ . $SRCDIR/package/build.common
+ prepare_common
+}
+
+build()
+{
+ echo "nothing to do."
+}
+
+install()
+{
+ prepare
+ . $SRCDIR/package/build.common
+ traverse_directory "$ROOTDIR/os-common"
+ traverse_directory
+ verify_common
+ verify
+
+ install_common
+}
+
+echo "build success"
diff --git a/package/build.macos b/package/build.macos
new file mode 100644
index 0000000..3b339ee
--- /dev/null
+++ b/package/build.macos
@@ -0,0 +1,148 @@
+#!/bin/sh -e
+
+patch_loader_path()
+{
+ . $SRCDIR/package/build.common
+
+ LIBDIR=$1
+
+ # libs[] is an array.
+ declare -a libs
+ declare -i cnt=0
+
+ cd "$LIBDIR"
+
+ # add library to patch loader_path
+ for file in $(find . -type f -exec file -F ' ' {} \; | grep "dynamically linked shared library" | awk '{print $1}')
+ do
+ libs[$cnt]="$file"
+ cnt=$cnt+1
+ done
+
+ for file in $(find . -type l -exec file -F ' ' {} \; | grep "dynamically linked shared library" | awk '{print $1}')
+ do
+ libs[$cnt]="$file"
+ cnt=$cnt+1
+ done
+
+ for lib in "${libs[@]}"
+ do
+ if [ -h "$LIBDIR/$lib" ]
+ then
+ continue
+ fi
+
+ libname=$(basename "$lib")
+
+ # set ID
+ install_name_tool -id "@rpath/$libname" "$lib"
+
+ # read line by line of otool result
+ otool -L "$lib" | sed 1,2d | \
+ while read line
+ do
+ linked_libpath=( $(echo "$line" | awk '{print $1}') )
+ case "$linked_libpath" in
+ "/usr/lib/"* | "/System/"*)
+ # system library, we have nothing to do
+ ;;
+ *)
+ linked_libname=$(basename "$linked_libpath" .dylib)
+ matched=0
+ for other_lib in "${libs[@]}"
+ do
+ other_libname=$(basename "$other_lib")
+ case "$other_libname" in
+ "$linked_libname"*)
+ # chnage path
+ install_name_tool -change "$linked_libpath" "@rpath/$other_libname" "$lib"
+ matched=1
+ ;;
+ *)
+ ;;
+ esac
+ done
+
+ if [ ${matched} -eq 0 ]
+ then
+ echo "$lib has host dependant library: $linked_libpath"
+ #exit 1
+ fi
+ ;;
+ esac
+ done
+ done
+}
+
+check_archi_macos_64()
+{
+ . $SRCDIR/package/build.common
+
+ if [ -h "$1" ]; then
+ return
+ fi
+
+ FILE_RESULT="$(/usr/bin/file "$1")"
+ if [ "$(contains_string "$FILE_RESULT" "dynamically linked shared library")" == "$RESULT_CONTAINS" ];then
+ if [ "$(contains_string "$FILE_RESULT" $BUILD_ARCH)" == "$RESULT_NOT_CONTAINS" ];then
+ echo "$1 has not the supported architecture"
+ exit 1
+ fi
+ echo "$1 has the supported architecture"
+ fi
+}
+
+# $1: directory path that library files are in
+verify_library()
+{
+ LIBRARY_EXTENSION=dylib
+
+ for file in $(find "$1" -iname '*.'$LIBRARY_EXTENSION)
+ do
+ echo "$file"
+ check_archi_macos_64 "$file"
+ done
+}
+
+verify()
+{
+ . $SRCDIR/package/build.common
+ verify_library "$LIB_PACKAGE_DIR_TEMP"
+ verify_library "$DEV_PACKAGE_DIR_TEMP"
+ find_file_to_set_permission "$LIB_PACKAGE_DIR_TEMP"
+ find_file_to_set_permission "$DEV_PACKAGE_DIR_TEMP"
+}
+
+clean()
+{
+ . $SRCDIR/package/build.common
+ clean_common
+}
+
+prepare()
+{
+ clean
+ . $SRCDIR/package/build.common
+ prepare_common
+}
+
+build()
+{
+ echo "nothing to do."
+}
+
+install()
+{
+ prepare
+ . $SRCDIR/package/build.common
+ traverse_directory "$ROOTDIR/os-common"
+ traverse_directory
+ verify_common
+ verify
+ patch_loader_path "$LIB_PACKAGE_DIR_TEMP"
+ patch_loader_path "$DEV_PACKAGE_DIR_TEMP/lib"
+
+ install_common
+}
+
+echo "build success"
diff --git a/package/changelog b/package/changelog
new file mode 100644
index 0000000..480eb8e
--- /dev/null
+++ b/package/changelog
@@ -0,0 +1,83 @@
+* 1.5.12
+- (packaging for TizenStudio 2.0)
+== Minkee Lee <minkee.lee@samsung.com> 2017-10-12
+* 1.5.11
+- (build machine upgrade)
+== Minkee Lee <minkee.lee@samsung.com> 2017-05-12
+* 1.5.10
+- unify packaging regardless of version
+== Minkee Lee <minkee.lee@samsung.com> 2017-03-06
+* 1.5.9
+- (for sync)
+== Minkee Lee <minkee.lee@samsung.com> 2016-11-21
+* 1.5.8
+- add -l option of icu libraries to ubuntu dev
+== Sooyoung Ha <yoosah.ha@samsung.com> 2016-06-21
+* 1.5.7
+- adjust rpath of QT plugins
+== SeokYeon Hwang <syeon.hwang@samsung.com> 2016-06-10
+* 1.5.6
+- apply newest libraries
+== Sooyoung Ha <yoosah.ha@samsung.com> 2016-06-07
+* 1.5.5
+- remove binaries for bridge network
+== SeokYeon Hwang <syeon.hwang@samsung.com> 2016-03-09
+* 1.5.4
+- add "tests" directory for verifying zipped status
+- add missing runtime libraries for windows-64
+== SeokYeon Hwang <syeon.hwang@samsung.com> 2015-12-23
+* 1.5.3
+- change SWT version from 4.3 to 4.5
+- change the function name from install() to verify_common()
+- add the variable named 'SWT_FILE' to avoid hard-coding of SWT version
+== Jihye Won <jihye.won1@samsung.com> 2015-12-22
+* 1.5.2
+- clean macos-64 libraries up
+== SeokYeon Hwang <syeon.hwang@samsung.com> 2015-12-17
+* 1.5.1
+- remove curl and its dependent libraries
+== SeokYeon Hwang <syeon.hwang@samsung.com> 2015-12-16
+* 1.5.0
+- upgrade win32 libraries
+- apply SDL2 for windows-32
+== SeokYeon Hwang <syeon.hwang@samsung.com> 2015-12-05
+* 1.4.11
+- set Win64 libraries up
+== SeokYeon Hwang <syeon.hwang@samsung.com> 2015-12-03
+* 1.4.10
+- add zconf.h into emulator-lib-dev_windows32, 64
+== Jihye Won <jihye.won1@samsung.com> 2015-12-02
+* 1.4.9
+- add libz.dll.a into emulator-lib-dev_windows32, 64
+== Jihye Won <jihye.won1@samsung.com> 2015-12-02
+* 1.4.8
+- simplify build scrips according to 3.0-emulator-library-pool
+- delegate install process to dev.install and lib.install of modules in 3.0-emulator-library-pool
+- add tree file(pkgfile.tree) for visualizing file structure in packages(3.0-emulator-lib, 3.0-emulator-lib-dev)
+== Jihye Won <jihye.won1@samsung.com> 2015-11-18
+* 1.4.7
+- simplify build scripts by creating build.common
+== Jihye Won <jihye.won1@samsung.com> 2015-10-30
+* 1.4.6
+- remove useless files in gtk-bundle (windows).
+== Jihye Won <jihye.won1@samsung.com> 2015-09-14
+* 1.4.5
+- modified directory structure of 3.0-emulator-lib-dev
+== Jihye Won <jihye.won1@samsung.com> 2015-09-01
+* 1.4.4
+- add intl.dll.mf for packaging 3.0-emulator-lib
+== Jihye Won <jihye.won1@samsung.com> 2015-08-05
+* 1.4.3
+- add build, install scripts for packaging 3.0-emulator-lib, 3.0-emulator-lib-dev
+== Jihye Won <jihye.won1@samsung.com> 2015-08-04
+* 1.4.2
+- add swt.jar in emulator-lib-dev
+== Jihye Won <jihye.won1@samsung.com> 2015-07-31
+* 1.4.1
+- add checking executable. if the file is executable, add executable permission.
+== Munkyu Im <munkyu.im@samsung.com> 2015-07-21
+* 1.4.0
+- add macos-64 build scripts for packaging 2.4-emulator-lib
+== Munkyu Im <munkyu.im@samsung.com> 2015-07-15
+- add ubuntu, windows build scripts for packaging 2.4-emulator-lib
+== Jihye Won <jihye.won1@samsung.com> 2015-07-17
diff --git a/package/emulator-lib-dev.install.linux b/package/emulator-lib-dev.install.linux
new file mode 100755
index 0000000..9fa2543
--- /dev/null
+++ b/package/emulator-lib-dev.install.linux
@@ -0,0 +1,19 @@
+#!/bin/sh -xe
+
+PKG_INSTALL_PATH="${INSTALLED_PATH}"
+if [ -z "$PKG_INSTALL_PATH" ]
+then
+ exit 2;
+fi
+echo $PKG_INSTALL_PATH
+
+## adjust pkgconfig (.pc) file
+
+PCs=`find "${PKG_INSTALL_PATH}" -name '*.pc'`
+
+for pc in ${PCs}; do
+ echo "$pc"
+
+ LIBDIR=$(readlink -f $(dirname "${pc}")/../..)
+ sed -i "/^prefix=/!b;c\prefix=${LIBDIR}" "${pc}"
+done
diff --git a/package/emulator-lib-dev.install.macos b/package/emulator-lib-dev.install.macos
new file mode 100755
index 0000000..652a86f
--- /dev/null
+++ b/package/emulator-lib-dev.install.macos
@@ -0,0 +1,21 @@
+#!/bin/sh -xe
+
+PKG_INSTALL_PATH="${INSTALLED_PATH}"
+if [ -z "$PKG_INSTALL_PATH" ]
+then
+ exit 2;
+fi
+echo $PKG_INSTALL_PATH
+
+## adjust pkgconfig (.pc) file
+
+PCs=`find "${PKG_INSTALL_PATH}" -name '*.pc'`
+
+for pc in ${PCs}; do
+ echo "$pc"
+
+ LIBDIR=$(cd $(dirname "${pc}")/../..; pwd -P)
+ sed -i "" '/^prefix=/c\
+prefix='"${LIBDIR}"'
+' ${pc}
+done
diff --git a/package/pkginfo.manifest b/package/pkginfo.manifest
new file mode 100644
index 0000000..3414368
--- /dev/null
+++ b/package/pkginfo.manifest
@@ -0,0 +1,66 @@
+Version : 1.5.12
+Maintainer: Minkee Lee <minkee.lee@samsung.com>
+Source: emulator
+
+Package : 2.4-emulator-lib
+OS : macos-64
+Build-host-os : macos-64
+Build-dependency: 2.4-emulator-library-pool [ ubuntu-64 ]
+Description : SWT and ECP libraries, and other runtime libraries for Tizen Emulator.
+
+Package : 2.4-emulator-lib
+OS : ubuntu-32
+Build-host-os : ubuntu-64
+Build-dependency: 2.4-emulator-library-pool [ ubuntu-64 ]
+Description : SWT and ECP libraries, and other runtime libraries for Tizen Emulator.
+
+Package : 2.4-emulator-lib
+OS : ubuntu-64
+Build-host-os : ubuntu-64
+Build-dependency: 2.4-emulator-library-pool [ ubuntu-64 ]
+Description : SWT and ECP libraries, and other runtime libraries for Tizen Emulator.
+
+Package : 2.4-emulator-lib
+OS : windows-32
+Build-host-os : ubuntu-64
+Build-dependency: 2.4-emulator-library-pool [ ubuntu-64 ]
+Description : SWT and ECP libraries, and other runtime libraries for Tizen Emulator.
+
+Package : 2.4-emulator-lib
+OS : windows-64
+Build-host-os : ubuntu-64
+Build-dependency: 2.4-emulator-library-pool [ ubuntu-64 ]
+Description : SWT and ECP libraries, and other runtime libraries for Tizen Emulator.
+
+Package: 2.4-emulator-lib-dev
+OS: ubuntu-32
+Build-host-os: ubuntu-64
+Build-dependency: 2.4-emulator-library-pool [ ubuntu-64 ]
+Description: Libraries and headers to build Tizen Emulator
+
+Package: 2.4-emulator-lib-dev
+OS: ubuntu-64
+Build-host-os: ubuntu-64
+Build-dependency: 2.4-emulator-library-pool [ ubuntu-64 ]
+Description: Libraries and headers to build Tizen Emulator
+
+Package: 2.4-emulator-lib-dev
+OS: windows-32
+Build-host-os : ubuntu-64
+Build-dependency: 2.4-emulator-library-pool [ ubuntu-64 ]
+Description: Libraries and headers to build Tizen Emulator
+
+Package: 2.4-emulator-lib-dev
+OS: windows-64
+Build-host-os : ubuntu-64
+Build-dependency: 2.4-emulator-library-pool [ ubuntu-64 ]
+Description: Libraries and headers to build Tizen Emulator
+
+Package: 2.4-emulator-lib-dev
+OS: macos-64
+Build-host-os: macos-64
+Build-dependency: 2.4-emulator-library-pool [ ubuntu-64 ]
+Description: Libraries and headers to build Tizen Emulator
+
+
+